diff --git filter/source/config/fragments/filters/HTML__StarCalc_.xcu filter/source/config/fragments/filters/HTML__StarCalc_.xcu
index f691055..876f989 100644
--- filter/source/config/fragments/filters/HTML__StarCalc_.xcu
+++ filter/source/config/fragments/filters/HTML__StarCalc_.xcu
@@ -1,6 +1,6 @@
     <node oor:name="HTML (StarCalc)" oor:op="replace">
-        <prop oor:name="Flags"><value>IMPORT EXPORT ALIEN</value></prop>
-        <prop oor:name="UIComponent"/>
+		<prop oor:name="Flags"><value>IMPORT EXPORT ALIEN USEOPTIONS</value></prop>
+		<prop oor:name="UIComponent"><value>com.sun.star.comp.Calc.FilterOptionsDialog</value></prop>
         <prop oor:name="FilterService"/>
         <prop oor:name="UserData"><value></value></prop>
         <prop oor:name="FileFormatVersion"><value>0</value></prop>
diff --git filter/source/config/fragments/filters/calc_HTML_WebQuery.xcu filter/source/config/fragments/filters/calc_HTML_WebQuery.xcu
index 1a3aa01..9f6735e 100644
--- filter/source/config/fragments/filters/calc_HTML_WebQuery.xcu
+++ filter/source/config/fragments/filters/calc_HTML_WebQuery.xcu
@@ -1,6 +1,6 @@
     <node oor:name="calc_HTML_WebQuery" oor:op="replace">
-        <prop oor:name="Flags"><value>IMPORT ALIEN</value></prop>
-        <prop oor:name="UIComponent"/>
+		<prop oor:name="Flags"><value>IMPORT ALIEN USEOPTIONS</value></prop>
+		<prop oor:name="UIComponent"><value>com.sun.star.comp.Calc.FilterOptionsDialog</value></prop>
         <prop oor:name="FilterService"/>
         <prop oor:name="UserData"><value></value></prop>
         <prop oor:name="FileFormatVersion"><value>0</value></prop>
